//
//  {{ module_info.name }}{{ module_info.file_name }}
//  {{ module_info.project_name }}
//
//  Created by {{ developer.name }} on {{ date }}.
//  Copyright © {{ year }} {{ developer.company }}. All rights reserved.
//

import UIKit

protocol {{ module_info.name }}PresenterProtocol: class {
    func setupView(_ view: {{ module_info.name }}ViewProtocol)
}

class {{ module_info.name }}Presenter: BasePresenter, {{ module_info.name }}PresenterProtocol {

    private weak var view: {{ module_info.name }}ViewProtocol?
    
    func viewLoaded() {
    }
    
    func setupView(_ view: {{ module_info.name }}ViewProtocol) {
        self.view = view;
    }
    
}
